can not install under Ubuntu Budgie 17.10 64bit due to missing dependencies

Reply
Highlighted

can not install under Ubuntu Budgie 17.10 64bit due to missing dependencies

Newbie

Dear all,

 

after freshly installing ubuntu Budgie 17.10 I try to install spotify. The repository and the key are there, I already aded the testing repo as well. But: when I type

 sudo apt-get install spotify-client 

I get this output:

 spotify-client : Hängt ab von: libgconf-2-4 ist aber nicht installierbar
                  Empfiehlt: libavcodec54 ist aber nicht installierbar oder
                             libavcodec-extra-54 ist aber nicht installierbar
                  Empfiehlt: libavformat54 ist aber nicht installierbar
E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.  

A quicke translation would be:

spotify-client depends on libgconf..... but is not instalable

recommends libavcodec54 but is not instalable ...

.

.

.

E: Problems can not be solved. You have held back packages.

 

Does anybody have an idea to solve this?

 

best regards,

 

Don

 

1 Reply
Highlighted

Re: can not install under Ubuntu Budgie 17.10 64bit due to missing dependencies

Roadie

Hi Don, just a few things that crossed my mind and might be helpful:

 

1. http://howtoubuntu.org/how-to-install-spotify-in-ubuntu

2. https://www.spotify.com/hk-en/download/linux/

 

3. Have you tried to install the dependencies manually? Sometimes you get more clear errors to narrow down the problem.

 

I'm not a fan of Ubuntu, but due to the Debian repositories a good distro. So check which repo's you're using for Ubuntu, perhaps you have to enable the unofficial ones as well to get all the dependencies installed. Or you do it manually by downloading the single files from your webbrowser, don't need to do a apt-get to get this done.

SUGGESTED POSTS